/********************************************************
 *
 *  Dialog Window Object
 *
 *  Copyright (c) 2009 AOK. All Rights Reserved.
 *
 ********************************************************/
var dialogWindow = function() {
  this.features = {
    center:0, dialogHide:0, edge:'sunken', help:0,
    resizable:0, scroll:0, status:0, unadorned:0
  };

  this.size = function(w, h) {
    this.features['dialogWidth'] = w + 'px';
    this.features['dialogHeight'] = h + 'px';
  };

  this.position = function(x, y) {
    this.features['dialogLeft'] = x;
    this.features['dialogTop'] = y;
  };

  this.open = function(url, obj) {
    var list = new Array();
    for (var i in this.features)
      list.push(i + ':' + this.features[i]);
    if (obj == null) obj = window;
    return obj.showModelessDialog(url, '', list.join(';'));
  };
};
