/*
 *  filter.js - O摜
 *  Copyright (c) 2002-2006, 2008, 2009 AOK.
 */

var groURL = new Array(
"11.imagebam.com/",
"all-creatures.org/ha/img/",
"aocd-grandrounds.org/",
"arabtimes.com/mixed3/",
"archopht.ama-assn.org/issues/",
"asylumeclectica.com/malady/archives/",
"b-geeks.com/support_contents/support01/",
"badact.com/souls/",
"blue.ribbon.to/~takuroom/",
"bmezine.com/service/samples/bonushigh/bonus5.jpg",
"botfly.quiik.com/",
"capitanbado.com/",
"cdc.gov/",
"charonboat.com",
"circusofevil.com/",
"content.amplovesyou.net/image/",
"cotw.jena.co.uk/cotw/",
"cotw.jena.co.uk/hospital/",
"cuddlynecrobabes.com/",
"currymania.info/imgb/img-box/",
"data.exet.nu/bildarkiv/svarv/",
"din.or.jp/~behemoth/",
"drymartini.net/syougeki/",
"eatonhand.com/",
"emasculation.jena.co.uk/",
"english.aljazeera.net/NR/rdonlyres/",
"eternal.rest.org.uk/",
"evil-net.com/images/",
"file1.heiwaboke.com/blog/img/2007/10/12/01-0636.jpg",
"flashback.org/snuff/",
"forcedexistence.com/pics/what.jpg",
"funky.bodysnatchers.co.uk/",
"furt.com/flesh/fleshpix/",
"galeon.com/theabyss/",
"gdcc.edu.cn/law/fyx/office/intranet/picture/jxxss/",
"geocities.com/bkdeadlysniper/",
"geocities.com/crime_th01/",
"geocities.com/kisasi_us/",
"geocities.com/x765tr/pre/baby/",
"goat.bitchx.org/gift.jpg",
"gromania.tripod.co.jp/",
"healthwomen.com.tw/",
"hjem.get2net.dk/tst/weird/",
"hklplasticsurgery.8m.com/",
"home.att.ne.jp/gold/khaosan/image/",
"home5.inet.tele.dk/pumpkin/pics/pic13.jpg",
"homepage2.nifty.com/kazuomi/itai/",
"i74.photobucket.com/albums/i274/",
"idisk.mac.com/bobby_newmark/Public/Wtc_Jump.jpg",
"infoderma.com/infoderma/img/banco/",
"iran-e-azad.org/stoning/",
"iroiro.zapto.org/cmn/jb2/data2/",
"jca.apc.org/~altmedka/",
"kt.rim.or.jp/~khaosan/",
"lachmenu.nl/wwereld/",
"lint.s1.x-beat.com/up/img/up7589.gif",
"masochist.com/reddoor/gonta/image/",
"mat.blogdns.com/",
"mayo.intercosmos.com/mayu/",
"members.fortunecity.com/usamakid/unreleased/",
"memelo.org/",
"microsurgeon.org/images/",
"morbidmind.curvedspaces.com/gal/",
"mtechnic.jp/~pakuri/gallery/",
"music.curio-city.com/curio-buzoo/users/sage/img/",
"muvc.net/mumyou/",
"muvc.net/urajigen/image/",
"my.reset.jp/~abon/ug/syumi/",
"natsukiss.tv/pix/",
"nicoclaux.free.fr/scenes/",
"obgyn.net/ENGLISH/PUBS/ARTICLES/",
"pchorsepower.com/shock/media/",
"peacehall.com/news/gb/china/2004/12/",
"peklo.hyperlink.cz/pic/",
"portaloestesc.hpg.com.br/uranio235/assustador/",
"princespalace.com/island_girls/",
"privat.schlund.de/p/prodigy/s/i/c/k/htdocs/nato/",
"ptw.st/sitai/",
"rapa-puru.com/hikaru/img/",
"red-flag.millionserve.co.uk/",
"retecool.com/braindead/",
"satansempire.net/",
"scheurijzer.nl/",
"secret.porkyhost.com/",
"securityfocus.com/",
"sexstump.com/streetscene.jpg",
"shinrei.net/up/honmono/",
"shotgunsodomy.com/media/",
"snuffx.com/x/",
"southern-charms.com/pat/p8618.jpg",
"stileproject.com/rnd/img/",
"stl-online.net/thc/med/",
"strangeworld.org/",
"stylite.net/",
"superzooi.net/roadkill/",
"tatunet.ddo.jp/free77/joyful/img/",
"thenausea.com/elements/",
"theync.com/",
"tomochan-net.net/gro/",
"trebus.fsnet.co.uk/vir2/world/che-19aj/",
"uncoverreality.com/",
"uploader.fam.cx/img/",
"users.ev1.net/~sssistos/corpses/",
"village.infoweb.ne.jp/~angie/image/mist/movie/",
"violentpup.com/",
"web.libertysurf.se/czabpg/pics/",
"wonderland.e-t-r.net/",
"wonderland.jena.co.uk/cotw/",
"wonderland.millionserve.co.uk/",
"wrister1756.hp.infoseek.co.jp/",
"www2.strangeland.com/gallery/",
"www22.tok2.com/home/byosyo/image/sprush.jpg",
"www3.ic-net.or.jp/~yusuke-sti/gazou/",
"www52.tok2.com/home/rengoku/image/decadance/",
"xratedhostz.com/users/loloii/",
"youngmuslims.ca/online_library/books/truth_of_this_world/",
"");

var groStr = new Array(
"abort",
"agony",
"blood",
"cadaver",
"clinic",
"crash",
"death",
"gero",
"gore\\w*",
"grolian",
"guro",
"motorcycle",
"murder",
"necro\\w*",
"ogrish",
"rasheed\\d*",
"rotten",
"shock",
"trauma",
"");

function groCheck(argobj) {
  for (var ii = 0; ii < groStr.length - 1; ii++) {
    var re = new RegExp('[^a-z]' + groStr[ii] + '[^a-z]', 'i');
    if (re.test(argobj)) return true;
  }
  for (var ii = 0; ii < groURL.length - 1; ii++) {
    if (argobj.toLowerCase().indexOf(groURL[ii].toLowerCase()) != -1)
      return true;
  }
  return false;
}
